using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Xml;
using ImageBlockz.Api;

namespace ImageBlockz.Operations.Edit
{
    public class NoOperation : AbstractOperation
    {
        public static readonly string OperationName = typeof(NoOperation).FullName;

        public NoOperation()
            : base(OperationType.Filter)
        {

        }

        public override Bitmap Do(Bitmap bitmap)
        {
            return bitmap;
        }

        public override XmlNode ToXml(XmlDocument xmlDoc)
        {
            return xmlDoc.CreateElement(OperationName);
        }

        public override void FromXml(XmlNode node)
        {
            Console.WriteLine(OperationName);
        }

        public override string GetFormattedName()
        {
            return "No operation";
        }


        public override string GetInfo()
        {
            return "No parameters";
        }
    }
}
